> ## Documentation Index
> Fetch the complete documentation index at: https://nango.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Resend

> Integrate your application with the Resend API

## 🚀 Quickstart

Connect to Resend with Nango and see data flow in 2 minutes.

**1. Create the integration**

In Nango ([free signup](https://app.nango.dev)), go to [Integrations](https://app.nango.dev/dev/integrations) -> *Configure New Integration* -> *Resend*.

**2. Authorize Resend**

Go to [Connections](https://app.nango.dev/dev/connections) -> *Add Test Connection* -> *Authorize*, then enter your API key. Later, you'll let your users do the same directly from your app.

**3. Call the Resend API**

Let's make your first request to the Resend API (list domains, limit 10). Replace the placeholders below with your [Environment API key](https://nango.dev/docs/reference/backend/http-api/api-keys.md), [integration ID](https://app.nango.dev/dev/integrations), and [connection ID](https://app.nango.dev/dev/connections):

> [tab] cURL
>
> ```bash theme={null}
> curl "https://api.nango.dev/proxy/domains?limit=10" \
>   -H "Authorization: Bearer <NANGO-API-KEY>" \
>   -H "Provider-Config-Key: <INTEGRATION-ID>" \
>   -H "Connection-Id: <CONNECTION-ID>"
> ```

> [tab] Node
>
> Install Nango's backend SDK with `npm i @nangohq/node`. Then run:
>
> ```typescript theme={null}
> import { Nango } from '@nangohq/node';
>
> const nango = new Nango({ apiKey: '<NANGO-API-KEY>' });
>
> const res = await nango.get({
>     endpoint: '/domains',
>     providerConfigKey: '<INTEGRATION-ID>',
>     connectionId: '<CONNECTION-ID>',
>     params: { limit: 10 }
> });
>
> console.log(res.data);
> ```

Or fetch credentials with the [Node SDK](https://nango.dev/docs/reference/backend/backend-sdk/node.md#get-a-connection-with-credentials) or [API](https://nango.dev/docs/reference/backend/http-api/connections/get.md).

✅ You're connected! Check the [Logs](https://app.nango.dev/dev/logs) tab in Nango to inspect requests.

**4. Implement Nango in your app**

Follow our [Auth implementation guide](https://nango.dev/docs/guides/primitives/auth.md) to integrate Nango in your app.

To obtain your own production API key, follow the connect guide linked below.

## 📚 Resend Integration Guides

Nango-maintained guides for common use cases.

* [How to obtain your Resend API key](https://nango.dev/docs/api-integrations/resend/connect)\
  Get your API key to connect Resend to Nango

Official docs: [Resend API Reference](https://resend.com/docs/introduction)

## 🧩 Pre-built syncs & tools for Resend

Explore Nango-provided tools in your dashboard. Extend and customize them to fit your needs.

### Others

| Function name | Description | Type |
| - | - | - |
| `add-contact-to-segment` | Add a contact to a segment in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `cancel-broadcast` | Cancel a broadcast in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `cancel-email` | Cancel email in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-audience` | Create an audience in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-broadcast` | Create a broadcast in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-contact-import` | Create a contact import in Resend from CSV contents. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-contact-property` | Create a new contact property in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-contact` | Create a new contact in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-domain-claim` | Claim a domain in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-domain` | Create domain in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-segment` | Create a new segment in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-template` | Create a template in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-topic` | Create a new topic in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `create-webhook` | Create a new webhook in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-audience` | Remove an existing audience in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-broadcast` | Remove an existing broadcast that is in the draft status in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-contact-property` | Remove an existing contact property in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-contact` | Remove an existing contact by ID or email in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-domain` | Remove an existing domain in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-segment` | Remove an existing segment in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-template` | Remove an existing template in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-topic` | Remove an existing topic in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `delete-webhook` | Remove an existing webhook in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `duplicate-template` | Duplicate a template in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-audience` | Retrieve a single audience in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-broadcast` | Retrieve a single broadcast in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-contact-import` | Retrieve a single contact import in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-contact-property` | Retrieve a single contact property in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-contact` | Retrieve a single contact by ID or email in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-domain-claim` | Retrieve a domain claim in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-domain` | Get domain in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-email-attachment` | Retrieve a single attachment for a sent email in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-email-metrics` | Retrieve account-level email metrics in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-email` | Get email in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-received-email-attachment` | Retrieve a single attachment for a received email in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-received-email` | Retrieve a single received email in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-segment` | Retrieve a single segment in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-template` | Retrieve a single template in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-topic` | Retrieve a single topic in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-webhook-event` | Retrieve a single webhook event in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `get-webhook` | Retrieve a single webhook in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-audiences` | Retrieve a list of audiences in Resend. Deprecated by the provider in favour of Segments: prefer list-segments. The endpoint still works but will be removed in the future. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-broadcast-clicked-links` | Retrieve a broadcast's clicked links in Resend. Returns one page; pass next\_cursor back as after, or as before when paginating backwards, to continue. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-broadcast-recipients` | Retrieve broadcast recipients in Resend. Returns one page; pass next\_cursor back as after, or as before when paginating backwards, to continue. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-broadcasts` | Retrieve a list of broadcasts in Resend. Returns one page; pass next\_cursor back as after, or as before when paginating backwards, to continue. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-contact-imports` | Retrieve a list of contact imports in Resend. Returns one page; pass next\_cursor back as after, or as before when paginating backwards, to continue. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-contact-properties` | Retrieve a list of contact properties in Resend. Returns one page; pass next\_cursor back as after, or as before when paginating backwards, to continue. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-contact-segments` | Retrieve a list of segments for a contact in Resend. Returns one page; pass next\_cursor back as after, or as before when paginating backwards, to continue. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-contact-topics` | Retrieve topics for a contact in Resend. Returns one page; pass next\_cursor back as after, or as before when paginating backwards, to continue. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-contacts` | Retrieve a list of contacts in Resend. Returns one page; pass next\_cursor back as after, or as before when paginating backwards, to continue. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-domains` | List domains in Resend. Returns one page; pass next\_cursor back as after, or as before when paginating backwards, to continue. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-email-attachments` | Retrieve a list of attachments for a sent email in Resend. Returns one page; pass next\_cursor back as after, or as before when paginating backwards, to continue. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-emails` | List emails in Resend. Returns one page; pass next\_cursor back as after, or as before when paginating backwards, to continue. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-received-email-attachments` | Retrieve a list of attachments for a received email in Resend. Returns one page; pass next\_cursor back as after, or as before when paginating backwards, to continue. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-received-emails` | Retrieve a list of received emails in Resend. Returns one page; pass next\_cursor back as after, or as before when paginating backwards, to continue. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-segments` | Retrieve a list of segments in Resend. Returns one page; pass next\_cursor back as after, or as before when paginating backwards, to continue. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-templates` | Retrieve a list of templates in Resend. Returns one page; pass next\_cursor back as after, or as before when paginating backwards, to continue. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-topics` | Retrieve a list of topics in Resend. Returns one page; pass next\_cursor back as after, or as before when paginating backwards, to continue. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-webhook-event-attempts` | Retrieve a list of webhook event attempts in Resend. Returns one page; pass next\_cursor as after to continue. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-webhook-events` | Retrieve a list of webhook events in Resend. Returns one page; pass next\_cursor as after to continue. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `list-webhooks` | Retrieve a list of webhooks in Resend. Returns one page; pass next\_cursor back as after, or as before when paginating backwards, to continue. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `publish-template` | Publish a template in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `remove-contact-from-segment` | Remove a contact from a segment in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `replay-webhook-event` | Replay a webhook event in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `send-broadcast` | Send or schedule a broadcast in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `send-email-batch` | Trigger up to 100 batch emails at once in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `send-email` | Send email in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `share-email` | Create a shareable link for a sent or received email in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-broadcast` | Update an existing broadcast in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-contact-property` | Update an existing contact property in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-contact-topics` | Update topics for a contact in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-contact` | Update a single contact by ID or email in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-domain` | Update an existing domain in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-email` | Update a single email in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-segment` | Update an existing segment in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-template` | Update an existing template in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-topic` | Update an existing topic in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `update-webhook` | Update an existing webhook in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `verify-domain-claim` | Verify a domain claim in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `verify-domain` | Verify domain in Resend. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |

***


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.